Bug 1496651 (CVE-2017-7810) - CVE-2017-7810 Mozilla: Memory safety bugs fixed in Firefox 56 and Firefox ESR 52.4 (MFSA 2017-22)
Summary: CVE-2017-7810 Mozilla: Memory safety bugs fixed in Firefox 56 and Firefox ESR...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1494903
TreeView+ depends on / blocked
 
Reported: 2017-09-28 04:26 UTC by Doran Moppert
Modified: 2021-02-26 01:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-11 23:51:36 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2831 0 normal SHIPPED_LIVE Critical: firefox security update 2017-09-29 03:47:43 UTC
Red Hat Product Errata RHSA-2017:2885 0 normal SHIPPED_LIVE Important: thunderbird security update 2017-10-12 03:40:10 UTC

Description Doran Moppert 2017-09-28 04:26:01 UTC
Mozilla developers and community members Christoph Diehl, Jan de Mooij, Jason Kratzer, Randell Jesup, Tom Ritter, Tyson Smith, and Sebastian Hengst reported memory safety bugs present in Firefox 55 and Firefox ESR 52.3. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-22/#CVE-2017-7810

Comment 2 Doran Moppert 2017-09-28 05:01:58 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Christoph Diehl, Jan de Mooij, Jason Kratzer, Randell Jesup, Tom Ritter, Tyson Smith, Sebastian Hengst

Comment 4 errata-xmlrpc 2017-09-28 23:48:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2831 https://access.redhat.com/errata/RHSA-2017:2831

Comment 5 errata-xmlrpc 2017-10-11 23:40:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2885 https://access.redhat.com/errata/RHSA-2017:2885


Note You need to log in before you can comment on or make changes to this bug.